package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// ldap_groups
type LdapGroups struct {
	Id           int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"`   //
	GroupName    *string    `gorm:"default:'';" json:"group_name"`                     //
	Remark       *string    `gorm:"default:'';" json:"remark"`                         //
	Creator      *string    `gorm:"default:'';" json:"creator"`                        //
	GroupType    *string    `gorm:"default:'';" json:"group_type"`                     //
	ParentId     *int64     `gorm:"default:0;" json:"parent_id"`                       //
	DeptId       *string    `gorm:"default:'';" json:"dept_id"`                        //
	DeptParentId *string    `gorm:"default:'';" json:"dept_parent_id"`                 //
	GroupDn      *string    `gorm:"default:'';" json:"group_dn"`                       //
	SyncState    *int64     `gorm:"default:0;" json:"sync_state"`                      //
	Ctime        *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`       //
	Utime        *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`       //
	Dtime        *time.Time `gorm:"index;default:'0000-00-00 00:00:00';" json:"dtime"` //
}
type LdapGroupsModel struct {
	db   *gorm.DB
	name string
}

func NewLdapGroupsModel(db *gorm.DB) *LdapGroupsModel {
	return &LdapGroupsModel{db: db, name: "ldap_groups"}
}
