package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// ldap_roles
type LdapRoles struct {
	Id      int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"`   //
	Name    *string    `gorm:"unique_key;default:'';" json:"name"`                //
	Keyword *string    `gorm:"unique_key;default:'';" json:"keyword"`             //
	Remark  *string    `gorm:"default:'';" json:"remark"`                         //
	Status  *int64     `gorm:"default:1;" json:"status"`                          //
	Sort    *int64     `gorm:"default:999;" json:"sort"`                          //
	Creator *string    `gorm:"default:'';" json:"creator"`                        //
	Ctime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`       //
	Utime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`       //
	Dtime   *time.Time `gorm:"index;default:'0000-00-00 00:00:00';" json:"dtime"` //
}
type LdapRolesModel struct {
	db   *gorm.DB
	name string
}

func NewLdapRolesModel(db *gorm.DB) *LdapRolesModel {
	return &LdapRolesModel{db: db, name: "ldap_roles"}
}
