package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// ldap_users
type LdapUsers struct {
	Id              int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	UserId          *string    `gorm:"default:'';" json:"user_id"`                      //
	OpenId          *string    `gorm:"default:'';" json:"open_id"`                      //
	UnionId         *string    `gorm:"default:'';" json:"union_id"`                     //
	Name            *string    `gorm:"default:'';" json:"name"`                         //
	EnName          *string    `gorm:"default:'';" json:"en_name"`                      //
	Nickname        *string    `gorm:"default:'';" json:"nickname"`                     //
	Email           *string    `gorm:"default:'';" json:"email"`                        //
	EnterpriseEmail *string    `gorm:"default:'';" json:"enterprise_email"`             //
	JobTitle        *string    `gorm:"default:'';" json:"job_title"`                    //
	Mobile          *string    `gorm:"default:'';" json:"mobile"`                       //
	Gender          *int64     `gorm:"default:0;" json:"gender"`                        // 性别 0未知 1男 2女
	Avatar          *string    `gorm:"default:'';" json:"avatar"`                       //
	IsFrozen        *int64     `gorm:"default:0;" json:"is_frozen"`                     // 是否冻结 0否1是
	IsResigned      *int64     `gorm:"default:0;" json:"is_resigned"`                   // 是否离职 0否 1是
	IsActivated     *int64     `gorm:"default:0;" json:"is_activated"`                  // 是否激活 0否1是
	IsExited        *int64     `gorm:"default:0;" json:"is_exited"`                     // 是否退出 0否1是
	IsUnjoin        *int64     `gorm:"default:0;" json:"is_unjoin"`                     // 是否未加入 0否1是
	Departmentids   *string    `gorm:"default:'';" json:"departmentIds"`                //
	WorkStation     *string    `gorm:"default:'';" json:"work_station"`                 //
	EmployeeNo      *string    `gorm:"default:'';" json:"employee_no"`                  //
	EmployeeType    *int64     `gorm:"default:0;" json:"employee_type"`                 // 1：正式员工   2：实习生 3：外包4：劳务    5：顾问
	UserDn          *string    `gorm:"default:'';" json:"user_dn"`                      //
	JoinTime        *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"join_time"` //
	Ctime           *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime           *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
	Dtime           *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"dtime"`     //
}
type LdapUsersModel struct {
	db   *gorm.DB
	name string
}

func NewLdapUsersModel(db *gorm.DB) *LdapUsersModel {
	return &LdapUsersModel{db: db, name: "ldap_users"}
}
